"""Map of the CLI commands and subcommands for the CLI completion tree."""

completion_tree = {
    "cards": {
        "toggle-review": {"help": None, "exit": None},
        "expose-card": {"help": None, "exit": None},
        "get-card": {"help": None, "--incl-content": None, "exit": None},
        "hide-card": {"help": None, "exit": None},
        "list-cards": {
            "all": {
                "--search-phrase": None,
                "--group-category": None,
                "--only-hidden": None,
                "--only-exposed": None,
                "help": None,
                "exit": None,
            },
            "notebook": {
                "--search-phrase": None,
                "--group-category": None,
                "--only-hidden": None,
                "--only-exposed": None,
                "help": None,
                "exit": None,
            },
            "voila": {
                "--search-phrase": None,
                "--group-category": None,
                "--only-hidden": None,
                "--only-exposed": None,
                "help": None,
                "exit": None,
            },
            "url": {
                "--search-phrase": None,
                "--group-category": None,
                "--url-subtype": None,
                "--only-hidden": None,
                "--only-exposed": None,
                "help": None,
                "exit": None,
            },
            "group": {
                "--search-phrase": None,
                "--group-category": None,
                "--only-hidden": None,
                "--only-exposed": None,
                "help": None,
                "exit": None,
            },
            "help": None,
            "exit": None,
        },
        "help": None,
        "exit": None,
    },
    "databases": {
        "list-databases": {"--no-pretty": None, "help": None},
        "list-datasets": {"--no-pretty": None, "--return-sql": None, "help": None},
        "list-tables": {"--no-pretty": None, "help": None},
        "view-dataset": {"--head": None, "--no-pretty": None, "help": None},
        "help": None,
        "exit": None,
    },
    "logs": {
        "app": {
            "--container": None,
            "--container-index": None,
            "--from": None,
            "--source": None,
            "--to": None,
            "help": None,
            "exit": None,
        },
        "build": {"--source": None, "help": None},
        "lab": {"--from": None, "--source": None, "--to": None, "help": None},
        "publish": {"--source": None, "help": None},
        "run": {"help": None},
        "help": None,
        "exit": None,
    },
    "schedules": {
        "list-schedules": {
            "--only-active": None,
            "--search-phrase": None,
            "help": None,
            "exit": None,
        },
        "get-schedule": {"--incl-content": None, "help": None},
        "create-schedule": {
            "--schedule": None,
            "--pool": None,
            "--active": None,
            "--concurrent": None,
            "--cleanup": None,
            "--timeout": None,
            "help": None,
            "exit": None,
        },
        "delete-run": {"help": None, "exit": None},
        "delete-schedule": {"help": None, "exit": None},
        "start-run": {
            "--cleanup": None,
            "--pool": None,
            "--timeout": None,
            "help": None,
            "exit": None,
        },
        "stop-run": {"help": None, "exit": None},
        "update-schedule": {
            "--schedule": None,
            "--pool": None,
            "--active": None,
            "--concurrent": None,
            "--cleanup": None,
            "--timeout": None,
            "help": None,
            "exit": None,
        },
        "help": None,
        "exit": None,
    },
    "user": {
        "whoami": {
            "--full-information": None,
            "--with-notifications": None,
            "help": None,
            "exit": None,
        },
        "help": None,
        "exit": None,
    },
    "pictures": {
        "show": {"help": None, "exit": None},
        "download": {"--output-path": None, "help": None, "exit": None},
        "create": {"--path": None, "--url": None, "help": None, "exit": None},
        "help": None,
        "exit": None,
    },
    "version": None,
    "help": None,
    "exit": None,
}
